Package com.smartgwt.client.types

# Enum DataQuestionStepType

java.lang.Object
java.lang.Enum<DataQuestionStepType>
com.smartgwt.client.types.DataQuestionStepType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DataQuestionStepType>`, `Constable`

public enum DataQuestionStepType extends Enum<DataQuestionStepType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATEDASHBOARD`
  Asks AI to describe the components of a dashboard to visualize the answer to a data question.
  `CREATEDASHBOARDCOMPONENT`
  Asks AI to create a dashboard component.
  `DETERMINENEXTSTEP`
  Asks AI to determine a next step.
  `EXECUTEQUERY`
  Executes a validated `DSRequest` query.
  `FIXDASHBOARDCOMPONENT`
  Asks AI to fix a dashboard component, given the list of validation errors.
  `FIXQUERY`
  Asks AI to fix a query, given the list of validation errors.
  `MAKEQUERY`
  Asks AI to construct a `DSRequest` query.
  `SUMMARIZEPREVSTEPRESULTS`
  Asks AI to summarize the results of previous steps in the context of the end user's data question and AI's described purpose for each query made.
  `SUMMARIZEUSERAIREQUEST`
  Prepares a summarization of the `UserAIRequest` containing the end user's data question, if necessary.
  `VALIDATEDASHBOARDCOMPONENT`
  Validates an AI-generated component against schema, identifying potential errors.
  `VALIDATEQUERY`
  Validates an AI-generated `DSRequest` against schema, identifying potential errors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DataQuestionStepType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DataQuestionStepType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUMMARIZEUSERAIREQUEST

    public static final DataQuestionStepType SUMMARIZEUSERAIREQUEST
    Prepares a summarization of the `UserAIRequest` containing the end user's data question, if necessary.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summarizeUserAIRequest".

  - ### DETERMINENEXTSTEP

    public static final DataQuestionStepType DETERMINENEXTSTEP
    Asks AI to determine a next step. Only a subset of step types are offered as choices to AI.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "determineNextStep".

  - ### MAKEQUERY

    public static final DataQuestionStepType MAKEQUERY
    Asks AI to construct a `DSRequest` query.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "makeQuery".

  - ### VALIDATEQUERY

    public static final DataQuestionStepType VALIDATEQUERY
    Validates an AI-generated `DSRequest` against schema, identifying potential errors.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "validateQuery".

  - ### FIXQUERY

    public static final DataQuestionStepType FIXQUERY
    Asks AI to fix a query, given the list of validation errors.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fixQuery".

  - ### EXECUTEQUERY

    public static final DataQuestionStepType EXECUTEQUERY
    Executes a validated `DSRequest` query.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "executeQuery".

  - ### SUMMARIZEPREVSTEPRESULTS

    public static final DataQuestionStepType SUMMARIZEPREVSTEPRESULTS
    Asks AI to summarize the results of previous steps in the context of the end user's data question and AI's described purpose for each query made.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summarizePrevStepResults".

  - ### CREATEDASHBOARD

    public static final DataQuestionStepType CREATEDASHBOARD
    Asks AI to describe the components of a dashboard to visualize the answer to a data question.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "createDashboard".

  - ### CREATEDASHBOARDCOMPONENT

    public static final DataQuestionStepType CREATEDASHBOARDCOMPONENT
    Asks AI to create a dashboard component.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "createDashboardComponent".

  - ### VALIDATEDASHBOARDCOMPONENT

    public static final DataQuestionStepType VALIDATEDASHBOARDCOMPONENT
    Validates an AI-generated component against schema, identifying potential errors.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "validateDashboardComponent".

  - ### FIXDASHBOARDCOMPONENT

    public static final DataQuestionStepType FIXDASHBOARDCOMPONENT
    Asks AI to fix a dashboard component, given the list of validation errors.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fixDashboardComponent".

- ## Method Details

  - ### values

    public static DataQuestionStepType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DataQuestionStepType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`